# Octopando
[![Gem Version](https://badge.fury.io/rb/octopando.svg)](http://badge.fury.io/rb/octopando)
[![Code Climate](https://codeclimate.com/github/defektive/octopando/badges/gpa.svg)](https://codeclimate.com/github/defektive/octopando)
[![Dependency Status](https://gemnasium.com/defektive/octopando.svg)](https://gemnasium.com/defektive/octopando)

Designed to make your life easier by letting you live in the command line more.

- Automatically creates a branch for the issue you are working on
- When committing it will pull in the ticket summary into the commit message

It will pull you jira credentials from the osx keychain

## Installation

    $ gem install octopando

This will install an `octopando` executable, and a symlink to it named `op`

## Usage
```
$ op start
1 CNVS-20465 - Assignments submitted via Google Drive have missing file extensions
2 PLAT-1082 - Create an HTML element to allow a thumbnail overlay for LTI Launches
Select a ticket 1
```

This will check out the branch `issue/CNVS-20465`. If it doesn't exist it will create it from the current branch you are on

### Command reference

```
Octopando commands:
  octopando help [COMMAND]      # Describe available commands or one specific command
  octopando list                # list open issues assigned to you
  octopando prepare_commit_msg  # used for git hook
  octopando prune               # remove old branches
  octopando start               # Start some work
  ```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake false` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment. Run `bundle exec octopando` to use the gem in this directory, ignoring other installed copies of this gem.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/defektive/octopando.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
